MySQL++: connection.h File Reference
connection.h File Reference

Declares the Connection class. More...

`#include "common.h"`
`#include "noexceptions.h"`
`#include "options.h"`
`#include <string>`
`#include "tcp_connection.h"`
`#include "uds_connection.h"`
`#include "wnp_connection.h"`

Go to the source code of this file.

## Classes

class | mysqlpp::Connection
| Manages the connection to the database server. More...

## Detailed Description

Declares the Connection class.

Every program using MySQL++ must create a Connection object, which manages information about the connection to the database server, and performs connection-related operations once the connection is up. Subordinate classes, such as Query and Row take their defaults as to whether exceptions are thrown when errors are encountered from the Connection object that created them, directly or indirectly.